summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2019-03-27 23:18:14 -0400
committerJune McEnroe <june@causal.agency>2019-03-27 23:18:14 -0400
commitd268e957df24b8974186454b11be35c75fa9568b (patch)
tree2a9c11a62159c288a8615dbd9f3dd5eae7b04990
parentReplace feature test macro with _XOPEN_SOURCE (diff)
downloadwep-d268e957df24b8974186454b11be35c75fa9568b.tar.gz
wep-d268e957df24b8974186454b11be35c75fa9568b.zip
Add "configure" script
Look I'm being all compatible and stuff.
-rw-r--r--.gitignore1
-rw-r--r--Makefile7
-rwxr-xr-xconfigure8
3 files changed, 10 insertions, 6 deletions
diff --git a/.gitignore b/.gitignore
index 1063b25..7353963 100644
--- a/.gitignore
+++ b/.gitignore
@@ -2,6 +2,7 @@
 *.o
 CARDS.DLL
 SOL.EXE
+config.mk
 dump
 freecell
 sol
diff --git a/Makefile b/Makefile
index 939549e..c2457d3 100644
--- a/Makefile
+++ b/Makefile
@@ -1,11 +1,6 @@
 CFLAGS += -std=c99 -Wall -Wextra -Wpedantic
 
-SDL2_PREFIX = /usr/local
-CFLAGS += -I$(SDL2_PREFIX)/include/SDL2
-LDFLAGS += -L$(SDL2_PREFIX)/lib
-LDLIBS = -lSDL2
-
--include config.mk
+include config.mk
 
 BINS = dump freecell sol
 
diff --git a/configure b/configure
new file mode 100755
index 0000000..ba1718c
--- /dev/null
+++ b/configure
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -eu
+cflags=$(pkg-config --cflags sdl2)
+ldlibs=$(pkg-config --libs sdl2)
+cat > config.mk << EOF
+CFLAGS += ${cflags}
+LDLIBS += ${ldlibs}
+EOF
te()John Keeping 2015-08-13ui-shared: extract date formatting to a functionJohn Keeping 2015-08-13filter: don't use dlsym unnecessarilyJohn Keeping 2015-08-13ui-tree: use "sane" isgraph()John Keeping 2015-08-13cgit.h: move stdbool.h from ui-shared.hJohn Keeping 2015-08-13cache.c: fix header orderJohn Keeping 2015-08-13configfile.c: don't include system headers directlyJohn Keeping 2015-08-13Remove redundant includesJohn Keeping 2015-08-13Makefile: include Git's config.mak.unameJohn Keeping 2015-08-13tests: allow shell to be overriddenJohn Keeping 2015-08-13redirect: cleanlinessJason A. Donenfeld 2015-08-13redirect: be more careful for different cgi setupsJason A. Donenfeld 2015-08-12ui-log: fix double countingJohn Keeping 2015-08-12log: allow users to follow a fileJohn Keeping 2015-08-12shared: make cgit_diff_tree_cb publicJohn Keeping 2015-08-12t0110: Chain together using &&Jason A. Donenfeld 2015-08-12about: always ensure page has a trailing slashJason A. Donenfeld 2015-08-12filters: apply HTML escapingLazaros Koromilas 2015-08-12git: update to v2.5.0Christian Hesse 2015-08-12Fix processing of repo.hide and repo.ignoreDaniel Reichelt